at.chipkarte.client.kse.soap

## Class SuchFilter

- Object
- - at.chipkarte.client.kse.soap.SuchFilter

-     public class SuchFilter
      extends Object

  Enthält die Daten zur Einschränkung der Datensätze im Zuge von `getKonsultationsdaten` oder `sendKonsultationsdatenAnfrage`. Es werden nur jene Konsultationen gesucht, die den angegebenen Kriterien entsprechen.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SuchFilter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBehandlungsfallCode()` Behandlungsfallcode der Konsultation.
    `String` | `getDatumBis()` Datum der Durchführung, bis zu dem Konsultationen gesucht werden.
    `String` | `getDatumVon()` Datum der Durchführung, ab dem Konsultationen gesucht werden.
    `String` | `getFachgebietsCode()` Fachgebietscode, zu dem Konsultationen gesucht werden.
    `String` | `getKonsultationsartCode()` Code der Konsultationsart, zu dem Konsultationen gesucht werden.
    `String` | `getOrdId()` Ordinations-ID, zu der Konsultationen gesucht werden.
    `String` | `getSVNummer()` Sozialversicherungsnummer, zu der Konsultationen gesucht werden.
    `String` | `getSvtCode()` Code des Krankenversicherungsträgers, zu dem Konsultationen gesucht werden.
    `void` | `setBehandlungsfallCode(String behandlungsfallCode)`
    `void` | `setDatumBis(String datumBis)`
    `void` | `setDatumVon(String datumVon)`
    `void` | `setFachgebietsCode(String fachgebietsCode)`
    `void` | `setKonsultationsartCode(String konsultationsart)`
    `void` | `setOrdId(String ordId)`
    `void` | `setSVNummer(String svnr)`
    `void` | `setSvtCode(String svtCode)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SuchFilter

          public SuchFilter()

  - ### Method Detail

    - #### getBehandlungsfallCode

          public String getBehandlungsfallCode()

      Behandlungsfallcode der Konsultation.
      Format: 2-stellig
      Returns:
        Behandlungsfallcode

    - #### getDatumBis

          public String getDatumBis()

      Datum der Durchführung, bis zu dem Konsultationen gesucht werden.
      Format: TT.MM.JJJJ, 10-stellig
      Returns:
        Datum Bis

    - #### getDatumVon

          public String getDatumVon()

      Datum der Durchführung, ab dem Konsultationen gesucht werden.
      Format: TT.MM.JJJJ, 10-stellig
      Returns:
        Datum Von

    - #### getFachgebietsCode

          public String getFachgebietsCode()

      Fachgebietscode, zu dem Konsultationen gesucht werden.
      Format: 2-stellig
      Returns:
        Fachgebietscode

    - #### getKonsultationsartCode

          public String getKonsultationsartCode()

      Code der Konsultationsart, zu dem Konsultationen gesucht werden.
      Mögliche Werte siehe `Konsultationsarten`.
      Zudem sind auch "logische" Konsultationsarten möglich, siehe `"Logische Konsultationsarten"`
      Format: maximal 10-stellig
      Returns:
        Code der Konsultationsart

    - #### getSvtCode

          public String getSvtCode()

      Code des Krankenversicherungsträgers, zu dem Konsultationen gesucht werden.
      Format: 2-stellig
      Returns:
        KVT-Code

    - #### getOrdId

          public String getOrdId()

      Ordinations-ID, zu der Konsultationen gesucht werden. Der Wert muss für die ordinationsübergreifende Suche null sein.
      Format: maximal 19-stellig
      Returns:
        Ordinations-ID

    - #### getSVNummer

          public String getSVNummer()

      Sozialversicherungsnummer, zu der Konsultationen gesucht werden.
      Format: 10-stellig
      Returns:
        Sozialversicherungsnummer

    - #### setBehandlungsfallCode

          public void setBehandlungsfallCode(String behandlungsfallCode)

    - #### setDatumBis

          public void setDatumBis(String datumBis)

    - #### setDatumVon

          public void setDatumVon(String datumVon)

    - #### setFachgebietsCode

          public void setFachgebietsCode(String fachgebietsCode)

    - #### setKonsultationsartCode

          public void setKonsultationsartCode(String konsultationsart)

    - #### setOrdId

          public void setOrdId(String ordId)

    - #### setSVNummer

          public void setSVNummer(String svnr)

    - #### setSvtCode

          public void setSvtCode(String svtCode)